package com.liang.service;

import com.liang.entity.BaseSchool;
import com.liang.entity.BaseTitle;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;
import java.util.Map;

/**
 * (BaseTitle)表服务接口
 *
 * @author makejava
 * @since 2023-03-03 21:59:50
 */
public interface BaseTitleService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    BaseTitle queryById(Object id);

    /**
     * 分页查询
     *
     * @param baseTitle   筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    Page<BaseTitle> queryByPage(BaseTitle baseTitle, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param baseTitle 实例对象
     * @return 实例对象
     */
    BaseTitle insert(BaseTitle baseTitle);

    /**
     * 修改数据
     *
     * @param baseTitle 实例对象
     * @return 实例对象
     */
    BaseTitle update(BaseTitle baseTitle);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Object id);

    /**
     * 获取所有数据
     *
     * @return
     */
    List<BaseTitle> queryAll();

    /**
     * 获取职称列表
     *
     * @return
     */
    List<Map<String, String>> getTitleList();
}
